Incidencia #42935

Meson: Functionality equivalent to autotools .project files

Abrir Fecha: 2021-09-27 14:33 Última actualización: 2022-06-18 15:03

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
1

Details

Our autotools build supports fork project to define some of its properties in a .project file. Support for similar mechanism is needed in meson based builds.

Ticket History (3/7 Histories)

2021-09-27 14:33 Updated by: cazfi
  • New Ticket "Meson: Functionality equivalent to autotools .project files" created
2022-04-28 09:31 Updated by: cazfi
Comentario

With meson versions < 0.57 the implementation would be messy compared to fc.read() usage that meson 0.57 offers, so maybe we consider #43362 dependency of this.

2022-05-29 03:18 Updated by: cazfi
  • Hito Update from (Ninguno) to 3.2.0
Comentario

Autotools is still the main build system in 3.1 + this is currently needed for freeciv-web (that's using master anyway)

2022-06-14 00:09 Updated by: cazfi
2022-06-14 00:09 Updated by: cazfi
  • File 0040-Meson-Add-support-for-.fcproj-files.patch (File ID: 9487) is deleted
2022-06-14 00:10 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
2022-06-18 15:03 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar